org.bouncycastle.pqc.crypto.aimer

## Class AIMerKeyPairGenerator

- java.lang.Object
- - org.bouncycastle.pqc.crypto.aimer.AIMerKeyPairGenerator

- All Implemented Interfaces:
    AsymmetricCipherKeyPairGenerator

      public class AIMerKeyPairGenerator
      extends java.lang.Object
      implements AsymmetricCipherKeyPairGenerator

  Implementation of the AIMer asymmetric key pair generator following the AIMer signature scheme specifications.

  This generator produces `AIMerPublicKeyParameters` and `AIMerPrivateKeyParameters` based on the AIMer algorithm parameters. The implementation follows the specification defined in the official AIMer documentation and reference implementation.

  AIMer is a selected algorithm in the Korean Post-Quantum Cryptography (KPQC) project.

  References:

  - AIMer Official Website
  - AIMer Specification Document
  - AIMer Reference Implementation (unavailable right now)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AIMerKeyPairGenerator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AsymmetricCipherKeyPair` | `generateKeyPair()` return an AsymmetricCipherKeyPair containing the generated keys.
    `void` | `init(KeyGenerationParameters params)` intialise the key pair generator.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AIMerKeyPairGenerator

          public AIMerKeyPairGenerator()

  - ### Method Detail

    - #### init

          public void init(KeyGenerationParameters params)

      Description copied from interface: `AsymmetricCipherKeyPairGenerator`
      intialise the key pair generator.
      Specified by:
        `init` in interface `AsymmetricCipherKeyPairGenerator`
      Parameters:
        `params` - the parameters the key pair is to be initialised with.

    - #### generateKeyPair

          public AsymmetricCipherKeyPair generateKeyPair()

      Description copied from interface: `AsymmetricCipherKeyPairGenerator`
      return an AsymmetricCipherKeyPair containing the generated keys.
      Specified by:
        `generateKeyPair` in interface `AsymmetricCipherKeyPairGenerator`
      Returns:
        an AsymmetricCipherKeyPair containing the generated keys.